Class Specialization
MapperConfig
Configuration of Mapper.

Pool

MapperSpec

MapperConfig

MapperConfig<TMap, TFile>
Include Headers
seqan/pipe.h
Parameters

TMap | The destination function (see STL's unary_function). Note: The destination function must be bijective. Remarks: This functions maps a stream element to its destined position. The result type of this unary function should convertible to TSize.
TFile | The underlying File type. Default: File<>, see File.

Remarks
Using this configuration spec., the Mapper's size type is Size<TFile>::Type. To use a custom size type MapperConfigSize should be used.
Specialization of
MapperSpec
Functions

assign | Assigns one object to another object. (Pool)
assign | Assigns one object to another object. (Pool)
atEnd | Determines whether an iterator is at the end position. (Pool)
beginRead | Initiates a read process. (Pool)
beginWrite | Initiates a write process. (Pool)
clear | Resets an object. (Pool)
endRead | Terminates a read process. (Pool)
endWrite | Terminates a write process. (Pool)
front | Gets the first element of the remaining stream. (Pool)
length | The number of items/characters. (Pool)
pop | Pops the first element of the remaining stream. (Pool)
push | Appends an item at the end of an input stream. (Pool)
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value. (Pool)

See Also
MapperConfigSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51